PKG_CHECK-MANPAGES(1)

NAME
pkg_check-manpages - verify manpage subjects in packages

SYNOPSIS
pkg_check-manpages [-p] [pkgname ...]

DESCRIPTION
pkg_check-manpages is used to check manpages in a collection of packages. It will extract all manpages from the pkgname arguments into a directory named manpages.XXXXXXXXXXXX ( see mktemp(1)) and run them through makewhatis(8).

Note that this directory is not cleared on exit, so that the problematic manpages can be examined more precisely.

If no pkgname argument is passed, it will process all *.tgz files in the current directory.

Options are as follows:

-p  Run makewhatis(8) in picky mode.

Errors reported in picky mode should usually be fixed, as it means the subject line stored in the whatis database will be useless to find out the corresponding manpage.